PETSc version 3.15.5
Fix/Edit manual page

# PCGASMCreateSubdomains2D

Creates the index sets for the overlapping Schwarz preconditioner for a two-dimensional problem on a regular grid.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMCreateSubdomains2D(PC pc,PetscInt M,PetscInt N,PetscInt Mdomains,PetscInt Ndomains,PetscInt dof,PetscInt overlap,PetscInt *nsub,IS **iis,IS **ois)

Collective

### Input Parameters

| M, N | - the global number of grid points in the x and y directions
| Mdomains, Ndomains | - the global number of subdomains in the x and y directions
| dof | - degrees of freedom per node
| overlap | - overlap in mesh lines

### Output Parameters

| Nsub | - the number of local subdomains created
| iis | - array of index sets defining inner (nonoverlapping) subdomains
| ois | - array of index sets defining outer (overlapping, if overlap > 0) subdomains

### See Also

PCGASMSetSubdomains(), PCGASMGetSubKSP(), PCGASMSetOverlap()

### Level

advanced

### Location

src/ksp/pc/impls/gasm/gasm.c

### Examples

src/ksp/ksp/tutorials/ex62.c.html
src/ksp/ksp/tutorials/ex64.c.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages